Name:          wicd
Version:       1.7.4
Release:       %mkrel 1
License:       GPLv2
Group:         System/Configuration/Networking
Source0:       https://launchpad.net/wicd/1.7/%{version}/%{name}-%{version}.tar.xz
Source1:       %{name}.init
Patch0:        wicd-libdir.patch
Patch1:        wicd-1.7.0-desktop.patch
Patch2:	       wicd-daemon.patch
URL:           http://wicd.net/
Summary:       wired and wireless network manager
Summary(de):   Daemon für kabellose Internetverbindungen
BuildRequires: python-devel
BuildRequires: python-setuptools
BuildRequires: python-babel
BuildRoot:     %{_tmppath}/%{name}-%{version}-buildroot
Requires:      python >= 2.6
Requires:      python-urwid
Requires:      python-gobject
Requires:      pygtk2.0
Requires:      python-dbus
Requires:      wireless-tools

%description
Wicd is an open source wired and wireless network manager for Linux
which aims to provide a simple interface to connect to networks with a
wide variety of settings.

#german
%description -l de
wicd wurde aufgrund des Fehlens einer hilfreichen, funktionsfähigen 
Drahtlosnetzwerk Verbindungs-Verwaltung in Linux begonnen. 
Zusätzlich kann es auch Verbindungen mit verkabelte Netzwerken herstellen. 

%prep
%setup -q
rm -f po/ast.po
%patch0 -p1 -b .libdir
%patch1 -p1 -b .desktop
%patch2 -p0
python setup.py compile_translations configure --no-install-kde --no-install-gnome-shell-extensions

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install \
       --optimize=2 \
       --root=$RPM_BUILD_ROOT


mkdir -p %{buildroot}/%{_initrddir}
install -m 0755 %SOURCE1 %{buildroot}/%{_initrddir}/%{name}

desktop-file-install --vendor="" \
  --remove-category="Application"\
  --add-category="X-MandrivaLinux-System-Configuration-Networking" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%pre

%postun

%post
%_preun_service network
%_preun_service network-up
%_post_service %{name}
chmod +x /usr/bin/wicd-gtk

%preun
%_preun_service %{name}
%_post_service network
%_post_service network-up

%files -f %name.lang
%defattr(-,root,root,-)
%doc AUTHORS README CHANGES NEWS LICENSE PKG-INFO
%{_bindir}/*
%{_sysconfdir}/acpi/resume.d/80-wicd-connect.sh
%{_sysconfdir}/acpi/suspend.d/50-wicd-suspend.sh
%{_sysconfdir}/logrotate.d/wicd.logrotate
%{_sysconfdir}/dbus-1/system.d/wicd.conf
%{_sysconfdir}/wicd
%{_sysconfdir}/xdg/autostart/wicd-tray.desktop
%{_libdir}/pm-utils/sleep.d/55wicd
%exclude /lib/systemd/system/wicd.service
%{py_puresitedir}/%{name}/*
%{py_puresitedir}/*.egg-info
%{_datadir}/pixmaps/*
%{_datadir}/dbus-1/system-services/org.wicd.daemon.service
%{_mandir}
%{_datadir}/%{name}
%{_iconsdir}/hicolor
%{_sbindir}/wicd
%{_datadir}/applications/wicd.desktop
%{_var}/lib/%{name}
%_logdir/%{name}
/etc/rc.d/init.d/%{name}


%changelog
* Mon Dec 26 2016 adrianomorselli <adrianomorselli> 1.7.4-1uplos2016
- rebuild

* Sun May 29 2016 woodhead <pp> 1.7.4-1pclos2016
- 1.7.4
- added --no-install-gnome-shell-extensions to have it compiling under kde

* Mon Dec 22 2014 pinoc <vogtpet at gmail.com> 1.7.3-1pclos2015
- 1.7.3

* Fri Aug 16 2013 billybot <billybot> 1.7.2.4-3pclos2013
- update python 2.7

* Sat Nov 24 2012 daniel <meisssw01 at gmail.com> 1.7.2.4-2leiche2012
- add patch
- add german description
- add wireless-tools as required

* Wed Sep 12 2012 Neal <nealbrks0 at gmail dot com> 1.7.2.4-1pclos2012
- process

* Wed Sep 12 2012 Ken <lxgator at gmail.com> 1.7.2.4-1pclos2012
- 1.7.2.4

* Sun Sep 11 2011 Texstar <texstar at gmail.com> 1.7.0-5pclos2011
- add missing dependency

* Sat Sep 11 2010 Texstar <texstar at gmail.com> 1.7.0-4pclos2010
- Update

* Mon Mar 22 2010 Texstar <texstar at gmail.com> 1.7.0-3pclos2010
- remove python-gtk-glade as it doesn't exist anymore

* Thu Mar 18 2010 slick50 <lxgator@gmail.com> 1.7.0-2pclos2010
-rebuild

* Thu Jan 28 2010 Texstar <texstar at gmail.com> 1.7.0-1pclos2010
- 1.7.0

